This API requires a JWT generated by an application created only from the Admin Console.
| Method | GET |
|---|---|
| Endpoint | https://{{host}}/api/public/groups?offset=0&limit=2 |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token. |
| API Scope | App Builder: Not Applicable; Admin Console: Profile Management > Role Management |
Path Parameters
| Parameter | Required/Optional | Description |
|---|---|---|
host | Required | Environment URL, for example, https://platform.kore.ai |
offset | Optional | Page number to start fetching from. Defaults to 0 (first page). |
limit | Optional | Number of records to fetch. Maximum is 50. |
Sample Request
curl -X GET \
'https://{{host}}/api/public/groups?offset=0&limit=2' \
-H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'
Sample Response
{
"total": 2,
"availableMore": false,
"groups": [
{
"_id": "e-eed8e93a-79ff-523b-9545-4833c26xxxxx",
"gN": "Audit",
"gDesc": "Audit Team",
"groups": [],
"users": [
{
"_id": "u-c32243f6-b4ba-5884-9527-a7efb9axxxxx",
"emailId": "sample1@example.com",
"lastName": "Sample1",
"firstName": "Sample",
"profImage": "profile.png",
"profColour": "#ffd700",
"activationStatus": "active",
"jTitle": "",
"orgId": "o-c2419ad3-e160-5bae-af32-6e62f11xxxxx"
},
{
"_id": "u-f2323ccf-b475-59a9-a52b-194698exxxxx",
"emailId": "sample2@example.com",
"lastName": "Sample2",
"firstName": "Sample",
"profImage": "profile.png",
"profColour": "",
"activationStatus": "active",
"jTitle": null,
"orgId": "o-8f992732-faa8-5191-bab5-db39efcxxxxx"
}
],
"userCount": 2
},
{
"_id": "e-8c91bfc5-8ecd-5707-9c35-7539297xxxxx",
"gN": "RiskManagement",
"gDesc": "Risk Management Team",
"groups": [],
"users": [
{
"_id": "u-0204c8d7-24d4-5ggf-bd73-7c4eaf0xxxxx",
"emailId": "sample3@example.com",
"lastName": "Sample2",
"firstName": "Sample",
"profImage": "no-avatar",
"profColour": "#2e8b57",
"activationStatus": "active",
"jTitle": "",
"orgId": "o-1b67d2f0-4812-5083-8453-55b8f5fxxxxx"
},
{
"_id": "u-19ecg162-40cb-5f0c-b594-2ac5221xxxxx",
"emailId": "sample3@sampleemail.com",
"lastName": "Sample3",
"firstName": "Sample",
"profImage": "no-avatar",
"profColour": "#ff0000",
"activationStatus": "active",
"jTitle": null,
"orgId": "o-642h0c8a-6e89-5ffe-8tb4-0eacd11xxxxx"
}
],
"userCount": 2
}
]
}